module "cs-svc-team-it-prod-svc-xvzz" {
  source  = "terraform-google-modules/project-factory/google//modules/svpc_service_project"
  version = "~> 16.0"

  name            = "service-i-team-it-prod-svc"
  project_id      = "team-it-prod-svc-xvzz"
  org_id          = var.org_id
  billing_account = var.billing_account
  folder_id       = local.folder_map["Production/Service-IT/Team IT"].id

  shared_vpc = module.cs-vpc-prod-shared.project_id
  shared_vpc_subnets = [
    try(module.cs-vpc-prod-shared.subnets["europe-west1/subnet-prod-1"].self_link, ""),
    try(module.cs-vpc-prod-shared.subnets["europe-west2/subnet-prod-2"].self_link, ""),
  ]

  domain     = data.google_organization.org.domain
  group_name = module.cs-gg-service-i-team-it-prod-svc.name
  group_role = "roles/viewer"
  depends_on = [
    module.cs-org-policy-compute_skipDefaultNetworkCreation,
  ]
}

module "cs-svc-team-it-nonprod-svc-xvzz" {
  source  = "terraform-google-modules/project-factory/google//modules/svpc_service_project"
  version = "~> 16.0"

  name            = "service-i-team-it-nonprod-svc"
  project_id      = "team-it-nonprod-svc-xvzz"
  org_id          = var.org_id
  billing_account = var.billing_account
  folder_id       = local.folder_map["Non-Production/Service-IT/Team IT"].id

  shared_vpc = module.cs-vpc-nonprod-shared.project_id
  shared_vpc_subnets = [
    try(module.cs-vpc-nonprod-shared.subnets["europe-west1/subnet-non-prod-1"].self_link, ""),
    try(module.cs-vpc-nonprod-shared.subnets["europe-west2/subnet-non-prod-2"].self_link, ""),
  ]

  domain     = data.google_organization.org.domain
  group_name = module.cs-gg-service-i-team-it-nonprod-svc.name
  group_role = "roles/viewer"
  depends_on = [
    module.cs-org-policy-compute_skipDefaultNetworkCreation,
  ]
}

module "cs-svc-team-rh-prod-svc-xvzz" {
  source  = "terraform-google-modules/project-factory/google//modules/svpc_service_project"
  version = "~> 16.0"

  name            = "service-i-team-rh-prod-svc"
  project_id      = "team-rh-prod-svc-xvzz"
  org_id          = var.org_id
  billing_account = var.billing_account
  folder_id       = local.folder_map["Production/Service-IT/Team RH"].id

  shared_vpc = module.cs-project-vpc-host-prod.project_id

  domain     = data.google_organization.org.domain
  group_name = module.cs-gg-service-i-team-rh-prod-svc.name
  group_role = "roles/viewer"
  depends_on = [
    module.cs-org-policy-compute_skipDefaultNetworkCreation,
  ]
}

module "cs-svc-team-rh-nonprod-svc-xvzz" {
  source  = "terraform-google-modules/project-factory/google//modules/svpc_service_project"
  version = "~> 16.0"

  name            = "service-i-team-rh-nonprod-svc"
  project_id      = "team-rh-nonprod-svc-xvzz"
  org_id          = var.org_id
  billing_account = var.billing_account
  folder_id       = local.folder_map["Non-Production/Service-IT/Team RH"].id

  shared_vpc = module.cs-project-vpc-host-nonprod.project_id

  domain     = data.google_organization.org.domain
  group_name = module.cs-gg-service-i-team-rh-nonprod-svc.name
  group_role = "roles/viewer"
  depends_on = [
    module.cs-org-policy-compute_skipDefaultNetworkCreation,
  ]
}
